
Support initramfs on parisc

diff -urpNX build-tools/dontdiff linus-2.5/arch/parisc/Makefile parisc-2.5/arch/parisc/Makefile
--- linus-2.5/arch/parisc/Makefile	Tue Nov  5 11:16:57 2002
+++ parisc-2.5/arch/parisc/Makefile	Tue Nov  5 13:42:25 2002
@@ -20,7 +20,7 @@
 ifdef CONFIG_PARISC64
 CROSS_COMPILE := hppa64-linux-
 UTS_MACHINE := parisc64
-#CFLAGS += -b hppa64-linux
+LDFLAGS_BLOB := --format binary --oformat elf64-hppa-linux
 
 else
 MACHINE	:= $(subst 64,,$(shell uname -m))
@@ -28,6 +28,7 @@ ifneq (${MACHINE},parisc)
 # cross compilation
 CROSS_COMPILE := hppa-linux-
 endif
+LDFLAGS_BLOB := --format binary --oformat elf32-hppa-linux
 endif
 
 FINAL_LD=$(CROSS_COMPILE)ld --warn-common --warn-section-align 
diff -urpNX build-tools/dontdiff linus-2.5/arch/parisc/vmlinux.lds.S parisc-2.5/arch/parisc/vmlinux.lds.S
--- linus-2.5/arch/parisc/vmlinux.lds.S	Thu Oct 31 17:33:16 2002
+++ parisc-2.5/arch/parisc/vmlinux.lds.S	Tue Nov  5 13:42:25 2002
@@ -79,6 +79,10 @@ SECTIONS
 	*(.initcall7.init)
   }
   __initcall_end = .;
+  . = ALIGN(4096);
+  __initramfs_start = .;
+  .init.ramfs : { *(.init.ramfs) }
+  __initramfs_end = .;
   . = ALIGN(32);
   __per_cpu_start = .;
   .data.percpu  : { *(.data.percpu) }
